﻿


/**/
/* Footer */
/**/

footer {
    background: var(--clr-footer);
    color: white;
    text-align: center;
    padding: var(--min-padding);
    display: flex;
    flex-direction: column;
    gap: 1em;
}

footer .copyright {
    color: #A8A8A8;
}

footer .trr-logo {
    align-self: center;
}

.footer__flow {
    display: flex;
    flex-direction: column;
    margin-inline: auto;
    gap: .5em;
}

.footer__info {
    display: flex;
    flex-direction: column;
    gap: .5em;
}

.footer__trr-horse {
    display: flex;
    gap: 1em;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

footer .divider {
    height: .1em;
    width: 100%;
    background: var(--clr-footer-border);
    margin-block: 1em;
}

footer .contact {
    display: flex;
    justify-content: center;
    align-items: center;
}

footer .contact .image {
    height: 2em;
    width: 2em;
    margin-right: .5em;
    background-size: contain;
    background-position: center;
}

footer .contact .info {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: start;
    max-width: 20ch;
}

footer .contact .info .sub {
    color: #A8A8A8;
}

footer .contact .info .highlight {
    color: var(--clr-highlight);
}

.footer__contact-form:hover p {
    color: var(--clr-highlight);
}

footer .social {
    width: 2em;
    height: 2em;
    background-size: contain;
    background-position: center;
}

footer .footer-links {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 1em;
}

footer .link-box {
    margin: 0 auto;
    display: flex;
    gap: 1em;
}



/**/
/* Large Screens */
/**/

@media only screen and (min-width: 750px) {

    footer .footer__info {
        flex-direction: row;
        justify-content: center;
    }

    footer .divider {
        height: auto;
        width: .1em;
        min-width: 2px;
        margin-block: 0em;
        margin-inline: 1em;
    }

    footer .link-box {
        margin: unset;
    }
}